#!/bin/sh
config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}
config etc/apcupsd/apcupsd.conf.new

if ! egrep "apc" /etc/rc.d/rc.6 &> /dev/null; then
( cd /etc ; patch -s /etc/rc.d/rc.6 /etc/rc.d/apc-rc6.patch )
fi

if ! egrep "apc" /etc/rc.d/rc.M &> /dev/null; then
( cd /etc ; patch -s /etc/rc.d/rc.M /etc/rc.d/apc-rcM.patch )
fi

